HOSTNAME
@REM (NOW) PUTS A TIMESTAMP IN THE MAINTAIN.LOG
@echo %date% %time%  **************************
@echo %date% %time%  Start Saturday Maintenance
@echo %date% %time%  **************************

@REM drop users and cache
D:
cd \lotus\domino
NSERVER.EXE -c "drop all"
NSERVER.EXE -c "dbcache flush"

@REM Stop the Backup Exec Remote Agent Service
@REM /YES answers yes if prompted to shut down service
NET STOP "Backup Exec Remote Agent for Windows Systems" /YES

@REM Stop the Domino service
NET STOP "Lotus Domino Server (LotusDominoData)"

@REM PAUSE 5 MINUTES TO GIVE TIME FOR THE DOMINO TASKS TO SHUTDOWN PROPERLY
TIMEOUT 300

@REM run nsd kill to terminate any tasks that haven't shut down
D:\lotus\domino\nsd.exe -kill

@REM (ECHO ON) LOGS ANY ERRORS/DIALOG IN THE FOLLOWING SECTIONS TO MAINTAIN.LOG
ECHO ON

@REM THE SECTION RUNS FIXUP/COMPACT ON NAMES.NSF AND STATREP.NSF
@REM WHILE THE DOMINO SERVER IS DOWN
@D:
@cd\lotus\domino
nfixup e:\lotus\domino\data\names.nsf =d:\lotus\domino\notes.ini
ncompact e:\lotus\domino\data\names.nsf
nfixup e:\lotus\domino\data\statrep.nsf =d:\lotus\domino\notes.ini
ncompact e:\lotus\domino\data\statrep.nsf
@cd\

@REM THIS DELETES ALL DIRECTORIES IN EVERY SUBDIRECTORY UNDER c:\lotus\domino\data 
@REM THAT HAVE THE .FT EXTENSION
@echo %date% %time% Full Text Index Maintenance
@E:
@cd\lotus\domino\data
pushd %1
for /D /R %%i in (*.ft) do rd "%%i" /s /q
popd
@echo %date% %time% Full Text Index Maintenance completed

@REM THIS SECTION DELETES THE DTF FILES THAT ARE TEMP FILES CREATED BY DOMINO
@REM THESE ARE CREATED IN THE C:\windows\TEMP DIRECTORY BECAUSE OF THE NOTES.INI VARIABLE
@REM View_Rebuild_Dir=c:\windows\temp or because c:\windows\temp is set in the environment
@REM variables as the system temp directory

@echo %date% %time% Delete DTF Files
@c:
@cd \windows\temp
del /s /q *.dtf
del /s /q *.tmp
@cd \temp
del /s /q *.dtf
del /s /q *.tmp
@cd\
@echo %date% %time% DELETE DTF files Complete

@echo %date% %time% deleting any DOMINO data directory temp files
@e:
@cd\
del /s /q *.tmp
@echo %date% %time% delete DOMINO data directory temp files Complete

@echo %date% %time% deleting console log files older than 60 days
Forfiles -p e:\lotus\domino\data\ibm_technical_support -s -m console*.* -d -60 -c "cmd /c del /q @path"
@echo %date% %time% finished deleting console log files

@REM THIS SECTION LOGS AN EVENT TO THE wINDOWS EVENT LOG
@c:
@cd\
eventcreate /L APPLICATION /T INFORMATION /SO maintain.bat /id 999 /d "Domino Weekly Maintenance Completed"